JmxLegacySupport (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.support.JmxLegacySupport class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.support
Class JmxLegacySupport

    java.lang.Object
      org.mule.module.management.support.AbstractJmxSupport
          org.mule.module.management.support.JmxLegacySupport

All Implemented Interfaces:
  JmxSupport

    public class JmxLegacySupport

extends AbstractJmxSupport

Support class for JMX 1.1 based systems.

Field Summary

Fields inherited from interface org.mule.module.management.support.JmxSupport
`DEFAULT_JMX_DOMAIN_PREFIX`

Constructor Summary
`JmxLegacySupport()`

Method Summary
`String` | `escape(String name)` Uses simpler rules for escaping non-JMX compliant chars.
`protected Collection` | `getDomains(MBeanServer server)` List all domains of this MBean server.
`ObjectName` | `getObjectName(String name)` For modern JMX implementation just delegate to a standard factory method.

Methods inherited from class org.mule.module.management.support.AbstractJmxSupport
`getDomainName, resolveDomainClash`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmxLegacySupport

    public JmxLegacySupport()

Method Detail

### escape

    public String escape(String name)

  Uses simpler rules for escaping non-JMX compliant chars. Much of the work has already been performed in `ObjectNameHelper`.

  Parameters:
    `name` - value to escape for JMX compliance
  Returns:
    value valid for JMX

### getObjectName

    public ObjectName getObjectName(String name)
                             throws MalformedObjectNameException

  For modern JMX implementation just delegate to a standard factory method.

  Parameters:
    `name` - object name
  Returns:
    ObjectName for MBeanServer
  Throws:
    `MalformedObjectNameException` - for invalid names

### getDomains

    protected Collection getDomains(MBeanServer server)

  List all domains of this MBean server.

  Specified by:
    `getDomains` in class `AbstractJmxSupport`
  Parameters:
    `server` - server to contact
  Returns:
    a collection of unique JMX domains

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.